%define upstream_name    Crypt-DES_EDE3
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Triple-DES EDE encryption/decryption
License:	Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

Buildarch:	noarch


%description
This is Crypt::DES_EDE3, a module implementing Triple-DES EDE
(encrypt-decrypt-encrypt) encryption and decryption.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

%files
%doc MANIFEST README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.10.0-11.mga9
+ Revision: 1811840
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.10.0-10.mga8
+ Revision: 1528997
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 0.10.0-9.mga8
+ Revision: 1432806
- rebuild with perl-5.30

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-8.mga7
+ Revision: 1266795
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.10.0-7.mga6
+ Revision: 1024511
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 932166
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 749272
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 684035
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 510336
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 364834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 26242
- no meta.yml
- mageia rebuild
- imported package perl-Crypt-DES_EDE3


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 403031
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.01-9mdv2009.0
+ Revision: 256254
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-7mdv2008.1
+ Revision: 137161
- use CPAN sources
  spec cleanup

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-6mdv2008.1
+ Revision: 136929
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.01-5mdv2007.0
+ Revision: 73460
- Fix Build
- import perl-Crypt-DES_EDE3-0.01-4mdk

* Wed Aug 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.01-4mdk
- rebuild

